# OpenIdCredentials Class Reference
[OpenId implementation]

List of all members.

## Public Member Functions

| __construct (HttpUrl $claimedId, HttpClient $httpClient)
| getRealId ()
| getServer ()
| isIdentifierSelect ()
| setIdentifierSelect ($bool)

## Static Public Member Functions

static | create (HttpUrl $claimedId, HttpClient $httpClient)

## Public Attributes

const | HEADER_CONT_TYPE = 'application/xrds+xml'
const | HEADER_XRDS_LOCATION = 'x-xrds-location'
const | HEADER_ACCEPT = 'text/html,application/xhtml+xml,application/xml,application/xrds+xml'
const | IDENTIFIER_SELECT = 'http://specs.openid.net/auth/2.0/identifier_select'

## Protected Member Functions

| parseHTML ($content)
| parseXRDS ($content)
| loadXRDS ($url)

## Private Attributes

| $claimedId = null
| $realId = null
| $server = null
| $httpClient = null
| $isIdentifierSelect = false

## Detailed Description

Definition at line 15 of file OpenIdCredentials.class.php.

## Constructor & Destructor Documentation

OpenIdCredentials::__construct | ( | HttpUrl $ | claimedId,
|  | HttpClient $ | httpClient |
| ) |  |  |

Definition at line 28 of file OpenIdCredentials.class.php.

References HttpRequest::create(), HttpMethod::get(), Url::isValid(), loadXRDS(), HttpUrl::makeComparable(), parseHTML(), parseXRDS(), and HttpClient::send().

Here is the call graph for this function:

## Member Function Documentation

static OpenIdCredentials::create | ( | HttpUrl $ | claimedId,
|  | HttpClient $ | httpClient |
| ) |  |  | `[static]`

Returns:
  OpenIdCredentials

Definition at line 76 of file OpenIdCredentials.class.php.

Referenced by getRealId(), parseHTML(), and parseXRDS().

OpenIdCredentials::getRealId | ( |  | ) |

Returns:
  HttpUrl

Definition at line 87 of file OpenIdCredentials.class.php.

References create(), and isIdentifierSelect().

Referenced by OpenIdConsumer::makeCheckIdRequest().

Here is the call graph for this function:

OpenIdCredentials::getServer | ( |  | ) |

Returns:
  HttpUrl

Definition at line 99 of file OpenIdCredentials.class.php.

Referenced by OpenIdConsumer::makeCheckIdRequest().

OpenIdCredentials::isIdentifierSelect | ( |  | ) |

Definition at line 104 of file OpenIdCredentials.class.php.

Referenced by getRealId(), and setIdentifierSelect().

OpenIdCredentials::loadXRDS | ( | $ | url | ) | `[protected]`

Definition at line 186 of file OpenIdCredentials.class.php.

References HttpUrl::create(), HttpRequest::create(), HttpMethod::get(), and parseXRDS().

Referenced by __construct(), and parseHTML().

Here is the call graph for this function:

OpenIdCredentials::parseHTML | ( | $ | content | ) | `[protected]`

Definition at line 119 of file OpenIdCredentials.class.php.

References HttpUrl::create(), StringInputStream::create(), create(), and loadXRDS().

Referenced by __construct().

Here is the call graph for this function:

OpenIdCredentials::parseXRDS | ( | $ | content | ) | `[protected]`

Definition at line 177 of file OpenIdCredentials.class.php.

References create().

Referenced by __construct(), and loadXRDS().

Here is the call graph for this function:

OpenIdCredentials::setIdentifierSelect | ( | $ | bool | ) |

Returns:
  OpenIdCredentials

Definition at line 112 of file OpenIdCredentials.class.php.

References isIdentifierSelect().

Here is the call graph for this function:

## Member Data Documentation

OpenIdCredentials::$claimedId = null`[private]`

Definition at line 22 of file OpenIdCredentials.class.php.

OpenIdCredentials::$httpClient = null`[private]`

Definition at line 25 of file OpenIdCredentials.class.php.

OpenIdCredentials::$isIdentifierSelect = false`[private]`

Definition at line 26 of file OpenIdCredentials.class.php.

OpenIdCredentials::$realId = null`[private]`

Definition at line 23 of file OpenIdCredentials.class.php.

OpenIdCredentials::$server = null`[private]`

Definition at line 24 of file OpenIdCredentials.class.php.

const OpenIdCredentials::HEADER_ACCEPT = 'text/html,application/xhtml+xml,application/xml,application/xrds+xml'

Definition at line 19 of file OpenIdCredentials.class.php.

const OpenIdCredentials::HEADER_CONT_TYPE = 'application/xrds+xml'

Definition at line 17 of file OpenIdCredentials.class.php.

const OpenIdCredentials::HEADER_XRDS_LOCATION = 'x-xrds-location'

Definition at line 18 of file OpenIdCredentials.class.php.

const OpenIdCredentials::IDENTIFIER_SELECT = 'http://specs.openid.net/auth/2.0/identifier_select'

Definition at line 20 of file OpenIdCredentials.class.php.

The documentation for this class was generated from the following file:

- main/OpenId/OpenIdCredentials.class.php